matrix:
  platform: ["macos", "ubuntu2004"]
  bazel: ["6.x", "7.x", "8.x", "rolling"]
tasks:
  verify_targets:
    name: "Verify build targets"
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      - "--enable_bzlmod=true"
      - "--incompatible_disallow_empty_glob=false"
    build_targets:
      - "@rules_kotlin//kotlin/..."
      - "@rules_kotlin//src/..."
